[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRasterImage.GetSize

Gets the image Width and Height from the metadata for the raw image.

## Declaration

Source position: graphics.pp line 1323

`public procedure TRasterImage.GetSize(`
`out AWidth: Integer;`
`out AHeight: Integer`
`);`

## Arguments

`AWidth` |  | Width for the raw image data.
`AHeight` |  | Height for the raw image data.

## Description

Calls GetRawImageDescriptionPtr to get a pointer to the image descriptor in the raw image data. When the image descriptor is Nil, or its Format contains ricfNone, the values in AWidth and AHeight are both set to 0 (zero). Otherwise, the Width and Height values in the image descriptor are used as the output parameter values.